com.sun.grid.jgdi.event

## Class UserSetAddEvent

- java.lang.Object
- - com.sun.grid.jgdi.event.Event
  - - com.sun.grid.jgdi.event.ChangedObjectEvent
    - - com.sun.grid.jgdi.event.AddEvent
      - - com.sun.grid.jgdi.event.UserSetAddEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class UserSetAddEvent
      extends AddEvent
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserSetAddEvent(long timestamp, int eventID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UserSet` | `get()`
    `java.lang.String` | `getName()` Get the name of the UserSet
    `void` | `set(UserSet obj)`
    `void` | `setPKInfo(int numKey1, int numKey2, java.lang.String strKey1, java.lang.String strKey2)` Set the primary key info of the UserSet.

    - ### Methods inherited from class com.sun.grid.jgdi.event.ChangedObjectEvent

      `getChangedObject, getObjectType, setChangedObject, toString`

    - ### Methods inherited from class com.sun.grid.jgdi.event.Event

      `getEventId, getTimestamp, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserSetAddEvent

          public UserSetAddEvent(long timestamp,
                                 int eventID)

  - ### Method Detail

    - #### set

          public void set(UserSet obj)

    - #### get

          public UserSet get()

    - #### setPKInfo

          public void setPKInfo(int numKey1,
                                int numKey2,
                                java.lang.String strKey1,
                                java.lang.String strKey2)

      Set the primary key info of the UserSet. This method is not indented for public usage. It is called from the native code to set the primary key info of cull event.
      Specified by:
        `setPKInfo` in class `ChangedObjectEvent`
      Parameters:
        `numKey1` - first numerical key
        `numKey2` - second numerical key
        `strKey1` - fist string key
        `strKey2` - second string key

    - #### getName

          public java.lang.String getName()

      Get the name of the UserSet
      Returns:
        the name of the UserSet

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.